import AboutPage from '@/pages-templates/about';

import { fetchAboutUsPageContent } from '@/features/pages/services/pages.service';

export const metadata = {
  title: 'О нас',
  description:
    'Узнайте больше о нашей компании, истории и ценностях. Качественное топливо и отличный сервис.',
};

export default async function About() {
  const data = await fetchAboutUsPageContent();

  if (!data) return null;

  return <AboutPage content={data} />;
}
